# TdApi.StartGroupCallRecording (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: StartGroupCallRecording

Package it.tdlight.jni

# Class TdApi.StartGroupCallRecording

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.StartGroupCallRecording

Enclosing class:
  TdApi

    public static class TdApi.StartGroupCallRecording
    extends TdApi.Function

Starts recording of an active group call. Requires groupCall.canBeManaged group call flag.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int` | `groupCallId` | Group call identifier.
`boolean` | `recordVideo` | Pass true to record a video file instead of an audio file.
`String` | `title` | Group call recording title; 0-64 characters.
`boolean` | `usePortraitOrientation` | Pass true to use portrait orientation for video instead of landscape one.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`StartGroupCallRecording()` | Starts recording of an active group call.
`StartGroupCallRecording​(int groupCallId, String title, boolean recordVideo, boolean usePortraitOrientation)` | Starts recording of an active group call.
`StartGroupCallRecording​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### groupCallId

public int groupCallId
Group call identifier.

### title

public String title
Group call recording title; 0-64 characters.

### recordVideo

public boolean recordVideo
Pass true to record a video file instead of an audio file.

### usePortraitOrientation

public boolean usePortraitOrientation
Pass true to use portrait orientation for video instead of landscape one.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### StartGroupCallRecording

public StartGroupCallRecording()
Starts recording of an active group call. Requires groupCall.canBeManaged group call flag.

Returns `Ok`

### StartGroupCallRecording

public StartGroupCallRecording​(int groupCallId, String title, boolean recordVideo, boolean usePortraitOrientation)
Starts recording of an active group call. Requires groupCall.canBeManaged group call flag.

Returns `Ok`

Parameters:
  `groupCallId` - int Group call identifier.
  `title` - String Group call recording title; 0-64 characters.
  `recordVideo` - boolean Pass true to record a video file instead of an audio file.
  `usePortraitOrientation` - boolean Pass true to use portrait orientation for video instead of landscape one.

### StartGroupCallRecording

public StartGroupCallRecording​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`